/// <reference types="cypress" />
import type { MocksServerConfig, CollectionId, DelayTime, RouteVariantId } from "@mocks-server/admin-api-client";
import type { MocksServerCypressApiClientConfig } from "./types";
import { AdminApiClient } from "./AdminApiClient";
export declare function commands(Cyp: typeof Cypress, CypCy: typeof cy): {
    setCollection: (id: CollectionId, apiClient?: AdminApiClient) => void;
    setDelay: (delay: DelayTime, apiClient?: AdminApiClient) => void;
    setConfig: (mocksServerConfig: MocksServerConfig, apiClient?: AdminApiClient) => void;
    useRouteVariant: (id: RouteVariantId, apiClient?: AdminApiClient) => void;
    restoreRouteVariants: (apiClient?: AdminApiClient) => void;
    configClient: (customConfig: MocksServerCypressApiClientConfig, apiClient?: AdminApiClient) => void;
};
